[openwrt/openwrt] feeds: use git-src-full to allow Git versioning
LEDE Commits
lede-commits at lists.infradead.org
Mon Feb 14 15:24:31 PST 2022
aparcar pushed a commit to openwrt/openwrt.git, branch master:
https://git.openwrt.org/7fae1e5677e9bb4979c8d4ac99be4de6955b13d0
commit 7fae1e5677e9bb4979c8d4ac99be4de6955b13d0
Author: Paul Spooren <mail at aparcar.org>
AuthorDate: Mon Oct 11 10:47:00 2021 -1000
feeds: use git-src-full to allow Git versioning
Both $(AUTORELEASE) and $(PKG_SRC_VERSION) (from luci.git) use the Git
log to determine releases and package timestamps.
Feeds are shallow cloned by default, resulting in an incomplete Git log
and therefore different local package versions than offered upstream.
This commits sets the default feeds to use `src-git-full` to solve that.
Add fixes from "2b1d92f: scripts/feeds: silence git warning by selecting
pull style" to `src-git-full`
Signed-off-by: Paul Spooren <mail at aparcar.org>
---
feeds.conf.default | 14 +++++++-------
scripts/feeds | 4 ++--
2 files changed, 9 insertions(+), 9 deletions(-)
diff --git a/feeds.conf.default b/feeds.conf.default
index fc679335e0..50ae67cb9d 100644
--- a/feeds.conf.default
+++ b/feeds.conf.default
@@ -1,8 +1,8 @@
-src-git packages https://git.openwrt.org/feed/packages.git
-src-git luci https://git.openwrt.org/project/luci.git
-src-git routing https://git.openwrt.org/feed/routing.git
-src-git telephony https://git.openwrt.org/feed/telephony.git
-#src-git video https://github.com/openwrt/video.git
-#src-git targets https://github.com/openwrt/targets.git
-#src-git oldpackages http://git.openwrt.org/packages.git
+src-git-full packages https://git.openwrt.org/feed/packages.git
+src-git-full luci https://git.openwrt.org/project/luci.git
+src-git-full routing https://git.openwrt.org/feed/routing.git
+src-git-full telephony https://git.openwrt.org/feed/telephony.git
+#src-git-full video https://github.com/openwrt/video.git
+#src-git-full targets https://github.com/openwrt/targets.git
+#src-git-full oldpackages http://git.openwrt.org/packages.git
#src-link custom /usr/src/openwrt/custom-feed
diff --git a/scripts/feeds b/scripts/feeds
index d8bbd48663..aee73e793f 100755
--- a/scripts/feeds
+++ b/scripts/feeds
@@ -167,8 +167,8 @@ my %update_method = (
'init' => "git clone '%s' '%s'",
'init_branch' => "git clone --branch '%s' '%s' '%s'",
'init_commit' => "git clone '%s' '%s' && cd '%s' && git checkout -b '%s' '%s' && cd -",
- 'update' => "git pull --ff",
- 'update_force' => "git pull --ff || (git reset --hard HEAD; git pull --ff; exit 1)",
+ 'update' => "git pull --ff-only",
+ 'update_force' => "git pull --ff-only || (git reset --hard HEAD; git pull --ff-only; exit 1)",
'post_update' => "git submodule update --init --recursive",
'controldir' => ".git",
'revision' => "git rev-parse --short HEAD | tr -d '\n'"},
More information about the lede-commits
mailing list